Package org.eclipse.birt.chart.model.attribute

# Enum DateFormatDetail

java.lang.Object
java.lang.Enum<DateFormatDetail>
org.eclipse.birt.chart.model.attribute.DateFormatDetail

All Implemented Interfaces:
  `Serializable`, `Comparable<DateFormatDetail>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum DateFormatDetail extends Enum<DateFormatDetail> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Date Format Detail', and utility methods for working with them. This type defines the form of Date.

See Also:
  - `AttributePackage.getDateFormatDetail()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATE_LITERAL`
The 'Date' literal object.
`DATE_TIME_LITERAL`
The 'Date Time' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATE`
The 'Date' literal value.
`static final int`
`DATE_TIME`
The 'Date Time' literal value.
`static final List<DateFormatDetail>`
`VALUES`
A public read-only list of all the 'Date Format Detail' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static DateFormatDetail`
`get(int value)`
Returns the 'Date Format Detail' literal with the specified integer value.
`static DateFormatDetail`
`get(String literal)`
Returns the 'Date Format Detail' literal with the specified literal value.
`static DateFormatDetail`
`getByName(String name)`
Returns the 'Date Format Detail' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static DateFormatDetail`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DateFormatDetail[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DATE_LITERAL

public static final DateFormatDetail DATE_LITERAL
The 'Date' literal object.

If the meaning of 'Date' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DATE`

### DATE_TIME_LITERAL

public static final DateFormatDetail DATE_TIME_LITERAL
The 'Date Time' literal object.

If the meaning of 'Date Time' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DATE_TIME`

## Field Details

### DATE

public static final int DATE
The 'Date' literal value.

See Also:
  - `DATE_LITERAL`
  - Constant Field Values

### DATE_TIME

public static final int DATE_TIME
The 'Date Time' literal value.

See Also:
  - `DATE_TIME_LITERAL`
  - Constant Field Values

### VALUES

public static final List<DateFormatDetail> VALUES
A public read-only list of all the 'Date Format Detail' enumerators.

## Method Details

### values

public static DateFormatDetail[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DateFormatDetail valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static DateFormatDetail get(String literal)
Returns the 'Date Format Detail' literal with the specified literal value.

### getByName

public static DateFormatDetail getByName(String name)
Returns the 'Date Format Detail' literal with the specified name.

### get

public static DateFormatDetail get(int value)
Returns the 'Date Format Detail' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DateFormatDetail>`